Name:		x11-driver-video-viaarena
Version:	20070611
Release:	%mkrel 8
Summary:	VIA video driver
Group:		System/X11
URL:		http://www.viarena.com
# Source is in an 'experimental/compilable' state, based on source
# at http://www.viaarena.com/Driver/vt3336-3364xorg40079-kernel-src_20070611.tgz
# Only 2d support, and only compiled the opensource portions, dependancy on
# closed source libraries has been removed from this package.
Source:		xf86-video-viaarena.tar.bz2
# Currently not working as not all sources were compiled, and ins't linked
# with the libraries with no source
Patch1:		0001-dont-call-symbols-from-libraries-with-no-sources.patch
Patch2:		0002-no-xf86_ansic.h.patch
License:	MIT
BuildRoot:	%{_tmppath}/%{name}-root

BuildRequires: x11-util-macros		>= 1.1.5
BuildRequires: libdrm-devel		>= 2.3.0
BuildRequires: libpixman-1-devel	>= 0.9.6
BuildRequires: x11-proto-devel		>= 7.3
BuildRequires: libmesagl-devel		>= 7.0.2
BuildRequires: x11-server-devel		>= 1.4

%description
Experimental Open Source VIA video driver

%prep
%setup -q -n xf86-video-viaarena

%patch1 -p1 -b .no_missing_symbols
%patch2 -p1 -b .noxf86ansic

%build
./autogen.sh
%configure --x-includes=%{_includedir} \
	--x-libraries=%{_libdir}
%make

%install
rm -rf %{buildroot}
%makeinstall_std
mv -f %{buildroot}%{_libdir}/xorg/modules/drivers/via{,arena}_drv.la
mv -f %{buildroot}%{_libdir}/xorg/modules/drivers/via{,arena}_drv.so
mv -f %{buildroot}%{_mandir}/man4/via{,arena}.4

%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/viaarena_drv.la
%{_libdir}/xorg/modules/drivers/viaarena_drv.so
%{_mandir}/man4/viaarena.4.*


%changelog
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 20070611-8mdv2008.1
+ Revision: 171178
- rebuild

* Tue Feb 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 20070611-7mdv2008.1
+ Revision: 166343
- Reenable debug package.

* Tue Feb 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 20070611-6mdv2008.1
+ Revision: 166271
- Update build requires and disable default build of debug package.
  This package needs to be updated and tested again. If 3d/xv works
  with 2008.1, a package with bits that don't have source code should also
  be made available.
- Don't use libcwrapper.
  Don't call functions from libraries with no source code available.
- Disable xvideo. Only 2d acceleration is expected to work with this driver for now,
  and it should only be used when the original via and openchrome drivers don't
  work or are suboptimal.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Sep 10 2007 Paulo Andrade <pcpa@mandriva.com.br> 20070611-5mdv2008.0
+ Revision: 84276
- Increasing release yet again to check if build system working now...
- Trying again due to hdlist problem, increasing release again.
- Update release
- Rename driver to viaarena. Fix COPYING file, remove some unused files.

  + Thierry Vignaud <tvignaud@mandriva.com>
    - cleanup

* Sun Sep 09 2007 Adam Williamson <awilliamson@mandriva.com> 20070611-2mdv2008.0
+ Revision: 83168
- fix manpage renaming
- complete renaming
- doesn't conflict with x11-driver-video-via any more
- rename actual driver to viaarena
- minor spec clean

* Wed Sep 05 2007 Paulo Andrade <pcpa@mandriva.com.br> 20070611-1mdv2008.0
+ Revision: 80439
- Add also GL-devel to BuildRequires.
- Add BuildRequires do libdrm (not really required) for the "only opensource" portion, but required for next steps.
- Import x11-driver-video-viaarena

